<?php
if(!isset($_SESSION)) {
    session_start();
}

require_once($_SERVER['DOCUMENT_ROOT'].'/varios/varios.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');

if( Varios::isActiveSession() 
    && Varios::hasModuleAccess(6)
) {

	require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Usuario.Class.php');
	$rol_obj = new Usuario(null);
	$rol_inf = $rol_obj->informacionRol(NULL,1);
	?>
	<table id="tablaPermisos" class="table table-responsive table-hover table-condensed table-striped table-bordered" 
		style="border: 3px solid #DEE0E2;">
		<thead class="thead-default">
			<tr>
				<th width="45%">Rol</th>
				<th width="45%">Permisos</th>
				<th width="20%">Estado</th>
				<th width="100%">Opciones</th>
			</tr>
		</thead>
		<tbody><?php
			foreach ($rol_inf as $value) {?>		
				<tr>
					<td style="vertical-align: text-top;"><?php echo $value['rol_descripcion'];?></td>
					<td style="vertical-align: text-top; "><?php 
                        $rolPermiso_inf = $rol_obj->muestraRolPermisosAsignados( $value['rol_UID'] );
                        $permisoCantidad = 0;
                        foreach ($rolPermiso_inf as $permiso) {
                            $permisoCantidad++;
                            if( $permisoCantidad > 1 ) {
                                echo '<br>';
                            }
                            echo '- '.( strlen($permiso['mod_descripcionPadre']) == 0 ? '' : $permiso['mod_descripcionPadre'].': ');
                            echo $permiso['mod_descripcion'];

                        }
                    ?></td>
					<td style="vertical-align: text-top;"><?php echo ($value['rol_estado']==1?'Activo':'Inactivo');?></td>
					
					<td style="vertical-align: text-top; white-space: nowrap;"  class="row-actions"><?php
						if ( Varios::hasModuleActionAccess(13, 6) ) {?>
							<a href="#" title="Modificar permisos del Rol " onclick="solicitaRecuperar(<?php echo $value['rol_UID'];?>, 
									'<?php echo $value['rol_descripcion'];?>')">
								<i class="os-icon os-icon-pencil-2" style="color:blue;"></i>
							</a><?php
						}?>
					</td>
				</tr><?php
				
			}?>		
		</tbody>
	</table><?php 
    $rol_obj->Close();
}?>